package com.ruoyi.abuwx.mapper;

import com.ruoyi.abuwx.domain.PointsConfig;

import java.util.List;

/**
 * 积分配置Mapper接口
 * 
 * @author lujie
 * @date 2025-01-15
 */
public interface PointsConfigMapper 
{
    /**
     * 查询积分配置
     * 
     * @param id 积分配置主键
     * @return 积分配置
     */
    public PointsConfig selectPointsConfigById(Long id);

    /**
     * 查询积分配置列表
     * 
     * @param pointsConfig 积分配置
     * @return 积分配置集合
     */
    public List<PointsConfig> selectPointsConfigList(PointsConfig pointsConfig);

    /**
     * 新增积分配置
     * 
     * @param pointsConfig 积分配置
     * @return 结果
     */
    public int insertPointsConfig(PointsConfig pointsConfig);

    /**
     * 修改积分配置
     * 
     * @param pointsConfig 积分配置
     * @return 结果
     */
    public int updatePointsConfig(PointsConfig pointsConfig);

    /**
     * 删除积分配置
     * 
     * @param id 积分配置主键
     * @return 结果
     */
    public int deletePointsConfigById(Long id);

    /**
     * 批量删除积分配置
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deletePointsConfigByIds(Long[] ids);
}
